<?php
declare(strict_types=1);

namespace Catequil\Invoice\Service;

use Catequil\Invoice\Model\InvoiceInterface;

/**
 * Interface InvoiceServiceInterface
 *
 * @package Catequil\Invoice\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-invoice
 */
interface InvoiceServiceInterface
{
    public function findByInvoiceNo(string $documentType, int $invoiceNo): ?InvoiceInterface;
    public function findByBarcode(string $barcode): ?InvoiceInterface;
    public function uploadFromGath(array $data): InvoiceInterface;
}
